Name:           perl-MojoX-JSON-RPC
Version:        0.11
Release:        3%{?dist}
Summary:        Perl implementation of JSON-RPC 2.0 protocol for Mojolicious
License:        Artistic 2.0

URL:            https://metacpan.org/release/MojoX-JSON-RPC
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KARASIK/MojoX-JSON-RPC-%{version}.tar.gz
# https://github.com/henryykt/MojoX-JSON-RPC/pull/10
Patch0:         MojoX-JSON-RPC-remove-PODRenderer.patch

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojo::UserAgent)
# Mojolicious is the only versioned module
BuildRequires:  perl(Mojolicious) >= 7.13
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# Mojolicious is the only versioned module
Requires:       perl(Mojolicious) >= 7.13

%{?perl_default_filter}

%description
This module implements a client and a server plugin for JSON-RPC 2.0 for use
with Mojolicious.

%prep
%setup -q -n MojoX-JSON-RPC-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/MojoX*
%{perl_vendorlib}/Mojolicious/Plugin/JsonRpcDispatcher.pm
%{_mandir}/man3/MojoX*
%{_mandir}/man3/Mojolicious::Plugin::JsonRpcDispatcher.3pm.gz

%changelog
* Sun Mar 17 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.11-3
- Remove call to PODRenderer Mojolicious plugin, not used and deprecated

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 15 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 0.11-1
- Update to 0.11
- Drop upstreamed patch

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-7
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-4
- Perl 5.26 rebuild

* Fri May 05 2017 Petr Pisar <ppisar@redhat.com> - 0.10-3
- Adapt to Mojolicious-7.31 (bug #1447528)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jun 04 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.10-1
- Update to 0.10

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-2
- Perl 5.22 rebuild

* Sat Feb 21 2015 Emmanuel Seyman <emmanuel@seyman.fr> 0.08-1
- Specfile created, based on the one autogenerated by cpanspec 1.78.
